Description
First let me say that | find it a wonderfull program.

Has any one had problems with tvheadend and some port numbers.

I have Ubuntu 10.04 with Tvheadend running. If | add a list of UDP addresses then only the addresses with port number 1234(udp:
[/@239.193.128.109:1234) are working. Addresses with port numbers of 5 digits do not work udp://@233.81.233.161:10294

Strange thing is that when | watch these streams straight with VLC it is fine(same PC), but if | click on play in the tvheadend webpage

and then select VLC to play it doesn't.

I made some traces with Wireshark to see what is happening, the request for the stream is being sent, the stream is also being sent

but tvheadend is not picking up this stream.

History

#1 - 2010-10-31 13:04 - Andreas Smas

Please paste the output from this command

sudo netstat —-anp | grep tvheadend

When tvheadend is trying to receive the IPTV from the 5 digit port
#2 - 2010-11-03 19:53 - lwan Celissen

Replying to [comment:1 andoma]:

Please paste the output from this command

> sudo netstat —-anp | grep tvheadend

When tvheadend is trying to receive the IPTV from the 5 digit port

Dear Andomal,

See below the output when | try to start 5 port digit.
nmt@workstation3:~$ sudo netstat -anp | grep tvheadend

tcp 0 00.0.0.0:9981 0.0.0.0:* LISTEN  1131/tvheadend

tep 0 00.0.0.0:9982 0.0.0.0:* LISTEN  1131/tvheadend

tcp 0 0127.0.0.1:9981 127.0.0.1:40260 ESTABLISHED 1131/tvheadend
unix 3 [] STREAM CONNECTED 5849 1131/tvheadend

unix 2 [] DGRAM 5845 1131/tvheadend

Thanks,

#3 - 2010-12-02 16:01 - Iwan Celissen

Dear Andoma,

Just installed ClearOS 5.2 had the same issue the udp's with 5 digit port do not work.

ClearOS | saw which port were opened on a request. See findings below:

udp://@239.193.128.110:1234 working
source dest port
82.139.121.42  239.193.128.110 1234->1234
10.252.164.177 239.193.128.110  38->1216

udp://@233.81.233.161:10294

source dest port

80.79.34.85 233.81.233.161 60000->10294
10.252.164.177 233.81.233.161 18->576

Hope this helps, if | need to try something then please let me know.
Thanks

#4 - 2011-01-04 23:12 - Andreas Smas
- Category changed from General to IPTV

#5 - 2011-01-09 15:43 - Michel Roelofs

Hi,

I've noticed this also with the latest version from git. Recording both SD and HD into .mkv from a channel on port 1234 works fine. It seems that
registering a channel with a 5-digit portnumber fails, because the contents of ~/.hts/tvheadend/iptvservices/iptv_... for the 5-digit config does not
contain stream sections.

Some debugging showed that the socket is opened correctly though, and multicast membership is added.

Could the cause be because some IPv6-sanitizing function is called on the IPv4 address with the portnumber? l.e. where only four digits are allowed
after a colon?

Michel

#6 - 2011-01-09 22:23 - Andreas Smas
- Status changed from New to Fixed

- Target version changed from 3.0 to 2.13

The problem was a bug in the IPTV PAT parser. The parser only parsed one entry in the table (we only support one service per IPTV multicast group
anyway). Problem was that some providers sends a dummy first entry with service_id == 0, if we skip that it seems to work OK

€c42203b53967414e4d0badd99f5d443c587b73f

#7 - 2011-01-11 21:52 - Iwan Celissen

Hi Andreas,
Thanks it is now working great, looking forward to everything new that will be added to tvheadend.

lwan Celissen
